%define oname	moodbar

Name:		gstreamer1.0-moodbar
Summary:	Audio timeline visualization
Version:	1.2.1
Release:	%mkrel 1
Group:		Sound/Utilities
License:	GPLv3+
Url:		https://github.com/exaile/moodbar
Source0:	https://github.com/exaile/moodbar/releases/download/v%{version}/moodbar-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(fftw3)
Requires:	gstreamer1.0-plugins-ugly
Provides:	moodbar = %{EVRD}

%description
Moodbar is a music visualization method that assigns colors to different parts
of a track and presents them as a timeline. Applied to a music player, the main
goal is to help the user navigate within a particular track. For example, if
the user wants to skip to the first chorus of a song, a good moodbar
implementation should be able to provide a hint of where this might occur in
the timeline.

%prep
%setup -qn moodbar-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_bindir}/moodbar


%changelog
* Mon Jan 18 2021 wally <wally> 1.2.1-1.mga8
+ Revision: 1672421
- new version 1.2.1

* Sat Feb 15 2020 umeabot <umeabot> 0-0.git20171217.4.mga8
+ Revision: 1525520
- Mageia 8 Mass Rebuild

* Thu Apr 18 2019 daviddavid <daviddavid> 0-0.git20171217.3.mga7
+ Revision: 1393107
- Rebuild with meson 0.50.1

* Wed Oct 03 2018 pterjan <pterjan> 0-0.git20171217.2.mga7
+ Revision: 1316244
- Mageia 7 Mass Rebuild

* Sun Jan 21 2018 wally <wally> 0-0.git20171217.1.mga7
+ Revision: 1195371
- imported package gstreamer1.0-moodbar

